#version 430 core
/*
* Copyright 2018 Bernhard Aschl and Klemens Bswirth
* source: CGUE 2018 - Steiner - Repetitorum Presentation
*/

in vec2 texCoord;
out vec4 color;

uniform vec3 diffuseColor;

void main() {
	color = vec4(diffuseColor, distance(texCoord, vec2(0.5, 0.5)) < 0.5);
}
